## ltunify 0.3

=== Makefile ===
CFLAGS ?= -g -O2 -Wall -Wextra -D_FORTIFY_SOURCE=2 -fstack-protector --param ssp-buffer-size=4
# for install-home
BINDIR ?= $(HOME)/bin

# for install and uninstall
DESTDIR ?=
bindir ?= /usr/local/bin
udevrulesdir ?= /etc/udev/rules.d

udevrule = 42-logitech-unify-permissions.rules

PACKAGE_VERSION ?= $(shell git describe --dirty 2>/dev/null | sed s/^v//)
ifeq (PACKAGE_VERSION, "")
	LTUNIFY_DEFINES :=
else
	LTUNIFY_DEFINES := -DPACKAGE_VERSION=\"$(PACKAGE_VERSION)\"
endif

%: %.c
	$(CC) $(CFLAGS) -o $(OUTDIR)$@ $<

all: ltunify read-dev-usbmon

read-dev-usbmon: read-dev-usbmon.c hidraw.c

ltunify: ltunify.c hidpp20.c
	$(CC) $(CFLAGS) -o $(OUTDIR)$@ $< -lrt $(LTUNIFY_DEFINES)

.PHONY: all clean install-home install install-udevrule uninstall
clean:
	rm -f ltunify read-dev-usbmon hidraw

install-home: ltunify
	install -m755 -D ltunify $(BINDIR)/ltunify

# System-wide installation
install: ltunify install-udevrule
	install -m755 -D ltunify $(DESTDIR)$(bindir)/ltunify

install-udevrule: udev/$(udevrule)
	install -m644 -D udev/$(udevrule) $(DESTDIR)$(udevrulesdir)/$(udevrule)

uninstall:
	$(RM) $(DESTDIR)$(bindir)/ltunify $(DESTDIR)$(udevrulesdir)/$(udevrule)

=== debian/changelog ===
ltunify (0.3-1) unstable; urgency=low

  * Initial release. Closes: #962102.

 -- Anthony Perkins <anthony@acperkins.com>  Thu, 18 Jun 2020 21:02:53 +0100

=== debian/control ===
Source: ltunify
Section: utils
Priority: optional
Maintainer: Anthony Perkins <anthony@acperkins.com>
Uploaders: Geert Stappers <stappers@debian.org>
Build-Depends: debhelper (>=13~)
Standards-Version: 4.5.0
Homepage: https://lekensteyn.nl/logitech-unifying.html
Vcs-Browser: https://salsa.debian.org/acp/ltunify
Vcs-Git: https://salsa.debian.org/acp/ltunify.git

Package: ltunify
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: manage Logitech unifying receivers
 Pair and manage Logitech devices that use the unifying receiver.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- bindir=/usr/bin udevrulesdir=/usr/lib/udev/rules.d

override_dh_clean:
	dh_clean

=== debian/watch ===
version=3
https://git.lekensteyn.nl/ltunify/ /ltunify/snapshot/ltunify-(.+)\.tar\.gz
